=== debian/changelog ===
drkonqi (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Reformat long description to make lintian happy.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:50 +0900
