=== debian/control ===
--- 
+++ 
@@ -41,6 +41,15 @@
 Replaces: plasma-workspace (<< 4:5.11)
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
- Drkonqi also doesn't technically require a process to actually crash, you can simply run it manually on any old pid. Do note that in most cases you only need to define the pid, however not giving certain cmdline options can change behavior somewhat drastically
- (e.g. kdeinit vs. notkdeinit behaves radically different as far as process name detection goes) . Drkonqi has a number of backends that may be used. Backends are stacked by order of preference, backends in the directory of the binary are most preferred. This means that you can dump debuggers/internal/ into your build's bin/ directory and override for example gdb. This essentially allows you to replace
- the gdb debugger with a cat of a fixture file to not have to trace live processes at all.
+ .
+ Drkonqi also doesn't technically require a process to actually crash, you
+ can simply run it manually on any old pid. Do note that in most cases you
+ only need to define the pid, however not giving certain cmdline options can
+ change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
+ radically different as far as process name detection goes) . Drkonqi has a
+ number of backends that may be used. Backends are stacked by order of
+ preference, backends in the directory of the binary are most preferred.
+ This means that you can dump debuggers/internal/ into your build's bin/
+ directory and override for example gdb. This essentially allows you to
+ replace the gdb debugger with a cat of a fixture file to not have to trace
+ live processes at all.
