=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
