=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5completion-dev (>= 5.74~),
-               libkf5configwidgets-dev (>= 5.74~),
-               libkf5coreaddons-dev (>= 5.74~),
-               libkf5crash-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5idletime-dev (>= 5.74~),
-               libkf5jobwidgets-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5service-dev (>= 5.74~),
-               libkf5syntaxhighlighting-dev (>= 5.74~),
-               libkf5wallet-dev (>= 5.74~),
-               libkf5widgetsaddons-dev (>= 5.74~),
-               libkf5windowsystem-dev (>= 5.74~),
+               libkf5completion-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5jobwidgets-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
+               libkf5syntaxhighlighting-dev (>= 5.82.0~),
+               libkf5wallet-dev (>= 5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
