=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.0~),
+           Patrick Franz <deltaone@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.86~),
                gettext,
-               libkf5completion-dev (>= 5.82.0~),
-               libkf5configwidgets-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5crash-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5idletime-dev (>= 5.82.0~),
-               libkf5jobwidgets-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5notifications-dev (>= 5.82.0~),
-               libkf5service-dev (>= 5.82.0~),
-               libkf5syntaxhighlighting-dev (>= 5.82.0~),
-               libkf5wallet-dev (>= 5.82.0~),
-               libkf5widgetsaddons-dev (>= 5.82.0~),
-               libkf5windowsystem-dev (>= 5.82.0~),
+               libkf5completion-dev (>= 5.86~),
+               libkf5configwidgets-dev (>= 5.86~),
+               libkf5coreaddons-dev (>= 5.86~),
+               libkf5crash-dev (>= 5.86~),
+               libkf5i18n-dev (>= 5.86~),
+               libkf5idletime-dev (>= 5.86~),
+               libkf5jobwidgets-dev (>= 5.86~),
+               libkf5kio-dev (>= 5.86~),
+               libkf5notifications-dev (>= 5.86~),
+               libkf5service-dev (>= 5.86~),
+               libkf5syntaxhighlighting-dev (>= 5.86~),
+               libkf5wallet-dev (>= 5.86~),
+               libkf5widgetsaddons-dev (>= 5.86~),
+               libkf5windowsystem-dev (>= 5.86~),
                libqt5x11extras5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
