=== src/coredump/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_subdirectory(cleanup)
add_subdirectory(processor)
add_subdirectory(launcher)
